process-extras-0.7.4: Process extras

Safe Haskell | None
Language | Haskell2010

System.Process.Text.Builder

Contents

- Orphan instances

Synopsis

- readProcessWithExitCode :: FilePath -> [String] -> Builder -> IO (ExitCode, Builder, Builder)
- readCreateProcessWithExitCode :: CreateProcess -> Builder -> IO (ExitCode, Builder, Builder)

# Documentation

readProcessWithExitCode Source #

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> Builder | standard input
-> IO (ExitCode, Builder, Builder) | exitcode, stdout, stderr

Specialized version for backwards compatibility.

readCreateProcessWithExitCode Source #

Arguments

:: CreateProcess | command and arguments to run
-> Builder | standard input
-> IO (ExitCode, Builder, Builder) | exitcode, stdout, stderr

# Orphan instances

ListLikeProcessIO Builder Char Source # | Like `readProcessWithExitCode`, but using `Text`
Instance details Methods forceOutput :: Builder -> IO Builder Source # readChunks :: Handle -> IO [Builder] Source #